/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.convertto24hourformat;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

/**
 *
 * @author omozegieaziegbe
 */
public class ConvertTo24HourFormat {

    public static String convertTo24HourFormat(String time12Hour) {
        try {
            // Create a SimpleDateFormat object for parsing 12-hour time.
            SimpleDateFormat twelveHourFormat = new SimpleDateFormat("hh:mm a", Locale.ENGLISH);

            // Create a SimpleDateFormat object for formatting 24-hour time.
            SimpleDateFormat twentyFourHourFormat = new SimpleDateFormat("HH:mm");
            

            // Parse the 12-hour time and format it as 24-hour time.
            Date twelveHourTime = twelveHourFormat.parse(time12Hour);
            String twentyFourHourTime = twentyFourHourFormat.format(twelveHourTime);

            return twentyFourHourTime;
        } catch (ParseException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static void main(String[] args) {
        
        String time12Hour = "01:30 PM";
        String time24Hour = convertTo24HourFormat(time12Hour);
        
        if (time24Hour != null) {
            System.out.println("12-Hour Time: " + time12Hour);
            System.out.println("24-Hour Time: " + time24Hour);
        } else {
            System.out.println("Invalid time format.");
        }
    }
}
