/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.convertto24hrdatetimeapi;

import java.time.LocalTime;
import java.time.format.DateTimeFormatter;
import java.time.format.DateTimeParseException;
import java.util.Locale;

/**
 *
 * @author omozegieaziegbe
 */
public class ConvertTo24HrDateTimeAPI {

    public static String convertTo24HourFormat(String time12Hour) {
        try {
            // Define a DateTimeFormatter for parsing 12-hour time.
            DateTimeFormatter twelveHourFormatter = DateTimeFormatter.ofPattern("hh:mm a", Locale.ENGLISH);

            // Parse the input 12-hour time string.
            LocalTime twelveHourTime = LocalTime.parse(time12Hour, twelveHourFormatter);

            // Create a DateTimeFormatter for formatting the result as 24-hour time.
            DateTimeFormatter twentyFourHourFormatter = DateTimeFormatter.ofPattern("HH:mm");

            // Format the time in 24-hour format and return it as a string.
            return twelveHourTime.format(twentyFourHourFormatter);
        } catch (DateTimeParseException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static void main(String[] args) {
        String time12Hour = "01:30 PM";
        String time24Hour = convertTo24HourFormat(time12Hour);
        if (time24Hour != null) {
            System.out.println("12-Hour Time: " + time12Hour);
            System.out.println("24-Hour Time: " + time24Hour);
        } else {
            System.out.println("Invalid time format.");
        }
    }
}
